package com.lanyun.wanglaotou.repo

import com.lanyun.net.base.ServiceCreator
import com.lanyun.wanglaotou.service.GuestService

object GuestRepo {
    /**
     * 获取我的订阅信息
     */
    fun getGuest() =
        ServiceCreator.getService<GuestService>().getGuest()

    /**
     * 获取我的订阅信息
     */
    fun getGuestRedirect(redirect : String) =
        ServiceCreator.getService<GuestService>().getRedirect(redirect)


    /**
     * 获取网页信息
     */
    fun getUrl() =
        ServiceCreator.getService<GuestService>().getUrl()
}